Haketilo - Feature #22

supplement the build script with a makefile, also produce zipped artifacts
07/01/2021 12:45 PM - koszko

Status: Closed Start date: 07/01/2021
Priority: Normal Due date:

Assignee: jahoti % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Right now building is performed with build.sh mozilla or build.sh chromium. These produce directories with built extension contents.
Makefile could be used on top of current build script to additionally facilitace cleaning the workspace and generating the extension as
.Zip or .xpi.

History

#1 - 07/06/2021 12:19 PM - jahoti
Potentially obsoleted by #47

#2 - 07/06/2021 01:51 PM - koszko

Unless we decide to keep the old build script and maintain both. Consider packaging of the extension for distros.
Having build.sh would greatly reduce the number of build dependencies.

Anyway, a JS-based build system could still be wrapped into a Makefile

#3 - 08/03/2021 01:20 AM - koszko

- Subject changed from supplement the build script with a makefile, also produce zipped arifacts to supplement the build script with a makefile, also
produce zipped artifacts

#4 - 09/25/2021 03:34 AM - jahoti
- Description updated

- Assignee set to jahoti

#5 - 09/28/2021 06:41 AM - jahoti
- % Done changed from 0 to 50

The modified build system on the jahoti-update branch now has support for zip and crx generation (using Chromium; CRX2 is very outdated and
CRX3 adds significant complications).

A make file will be coming soon.

#6 - 10/14/2021 09:21 AM - jahoti
- Status changed from New to Feedback

- % Done changed from 50 to 100

An implementation of this is in the build-sys branch; it may need to be modified.
http://hydrillabugs.koszko.org/issues/47

#7 - 10/14/2021 11:36 AM - koszko

jahoti wrote:

An implementation of this is in the build-sys branch; it may need to be modified.

You did a ton of good work. Thank you a lot :)
I'll look into it now

EDIT
Is there any relation between jahoti-update and build-sys branches? | suppose | should just merge both, right?

Also, | read somewhere that iceweasel-uxp dropped all support for WebExtensions. Is there something | don't know or can we remove it from the
TARGETS list?

EDIT2

For now | just merged build-sys. I'll also merge the build.sh -> build.sh + lib_build.sh split. It seems jahoti-update's test code will make sense merging
once we decide how to implement an actual "make test" target, right?

#8 - 11/27/2021 01:53 PM - koszko

koszko wrote:
EDIT2

For now | just merged build-sys. I'll also merge the build.sh -> build.sh + lib_build.sh spilit. It seems jahoti-update's test code will make sense
merging once we decide how to implement an actual "make test" target, right?

The split didn't make sense merging, after all. | did, however, integrate Jahoti's test code (by copy-pasting) and connected it to make test as described
in #66. This is on the koszko branch

#9 - 11/30/2021 04:48 AM - jahoti

| just realized there was an edit- sorry | didn't respond!
http://hydrillabugs.koszko.org/issues/66

In case you didn't work out what happened, build-sys was a complete restart of the generalized build system using a configure/make system instead
of a re-engineered build script. The only thing still to be carried over is support for building CRX files, and that's only for want of a
browser-independent make target name to use.

#10 - 02/18/2022 12:55 PM - koszko
- Status changed from Feedback to Closed
